Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class HierarchicalConfiguration.CloneVisitor

    java.lang.Object
      org.apache.commons.configuration.tree.ConfigurationNodeVisitorAdapter
          org.apache.commons.configuration.HierarchicalConfiguration.CloneVisitor

All Implemented Interfaces:
  ConfigurationNodeVisitor

Enclosing class:
  HierarchicalConfiguration

    static class HierarchicalConfiguration.CloneVisitor

extends ConfigurationNodeVisitorAdapter

A specialized visitor that is able to create a deep copy of a node hierarchy.

Constructor Summary
`HierarchicalConfiguration.CloneVisitor()` Creates a new instance of `CloneVisitor`.

Method Summary
`ConfigurationNode` | `getClone()` Returns the result of the clone process.
`void` | `visitAfterChildren(ConfigurationNode node)` Visits the specified node after its children have been processed.
`void` | `visitBeforeChildren(ConfigurationNode node)` Visits and copies the specified node.

Methods inherited from class org.apache.commons.configuration.tree.ConfigurationNodeVisitorAdapter
`terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchicalConfiguration.CloneVisitor

    public HierarchicalConfiguration.CloneVisitor()

  Creates a new instance of `CloneVisitor`.

Method Detail

### visitAfterChildren

    public void visitAfterChildren(ConfigurationNode node)

  Visits the specified node after its children have been processed.

  Specified by:
    `visitAfterChildren` in interface `ConfigurationNodeVisitor`
  Overrides:
    `visitAfterChildren` in class `ConfigurationNodeVisitorAdapter`
  Parameters:
    `node` - the node

### visitBeforeChildren

    public void visitBeforeChildren(ConfigurationNode node)

  Visits and copies the specified node.

  Specified by:
    `visitBeforeChildren` in interface `ConfigurationNodeVisitor`
  Overrides:
    `visitBeforeChildren` in class `ConfigurationNodeVisitorAdapter`
  Parameters:
    `node` - the node

### getClone

    public ConfigurationNode getClone()

  Returns the result of the clone process. This is the root node of the cloned node hierarchy.

  Returns:
    the cloned root node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.